import '../../../../../Api_Helper/base_manager.dart';
import '../../../../../shared/api/api_endpoints.dart';
import '../../../../../shared/api/network_api_services.dart';

class OTPAPI {
  OTPAPI();
  Future<ResponseData> requestOTP(Map<String, dynamic> data) async {
    String url = ApiEndpoints.requestotpapi;
    final response = await NetworkApiService().post(url, data);
    return response;
  }

  Future<ResponseData> resendOTPRequest(Map<String, dynamic> data) async {
    String url = ApiEndpoints.requestresendotp;
    final response = await NetworkApiService().post(url, data);
    return response;
  }

  Future<ResponseData> verifyOTP(Map<String, dynamic> data) async {
    String url = ApiEndpoints.verifyotp;
    final response = await NetworkApiService().post(url, data);
    return response;
  }
}
